/****************************************************************************
 *	Copylight(C) 2011-2012 Kanazawa-soft-design,LLC.All Rights Reserved.
 ****************************************************************************/
/*!
 *	@file	wi_alarm_handler.h
 *
 *	@brief	Windows iTRONT[rXR[ (A[nh).
 *
 *	@author	V 閾
 */
#ifndef	__WI_ALARM_HANDLER_H__
#define	__WI_ALARM_HANDLER_H__

#include "wi_common.h"

#ifdef __cplusplus
extern "C" {
#endif

/****************************************************************************
 *
 * \̒`.
 *
 ****************************************************************************/
/*!
 *
 * @brief A[nh.IuWFNg\.
 *
 */
typedef struct {
	WIHDR		Hdr;				//!< IuWFNgwb_.
	ATR			Attribute; 			//!< A[nh.
	FP			AlmAdr;				//!< A[nh̃AhX.
	BOOL		Active;				//!< A[nh̋N.
	UINT		TimeMode;			//!< Nw胂[h.
	DWORDLONG	AlmTime; 			//!< N.
	VP			ExtInfo;			//!< g.
} WIALMOBJ;

/*!
 *
 * @brief A[nhԂ̎QƗp\.
 *
 */
typedef struct {
	DWORDLONG	LeftTime; 			//!< N܂ł̎.
	BOOL		Active;				//!< A[nh̋N.
	VP			ExtInfo;			//!< g.
} WIALMSTAT;

/****************************************************************************
 *
 * ֐`.
 *
 ****************************************************************************/
void	wi_InitAlarmHadler( void );
void	wi_QuitAlarmHadler( void );
ER		wi_DefineAlarmHadler( INT no, const WIALMOBJ *obj, BOOL ovr );
ER		wi_DeleteAlarmHadler( INT no );
ER		wi_StartAlarmHadler( INT no, DWORDLONG almtim );
ER		wi_StopAlarmHadler( INT no );
ER		wi_RefarenceAlarmHadler( INT no, WIALMSTAT *sts );
void	wi_CallAlarmHandler( DWORDLONG now_time );

#ifdef __cplusplus
}
#endif
#endif	// __WI_ALARM_HANDLER_H__
/* End of file */
