/****************************************************************************
 *	Copylight(C) 2011-2012 Kanazawa-soft-design,LLC.All Rights Reserved.
 ****************************************************************************/
/*!
 *	@file	win_itron_dialog.c
 *
 *	@brief	Windows iTRONT[rXR[̃_CAO.
 *
 *	@author	V 閾
 */
#include <windows.h>
#include <winuser.h>
#include <stdio.h>
#include "kprintf.h"
#include "win_itron.h"
#include "wi_resource.h"
#include "wi_common.h"
#include "win_itron_dialog.h"

/****************************************************************************
 *
 * [J֐`.
 *
 ****************************************************************************/
static LRESULT CALLBACK	DlgProc( HWND hDlg, UINT msgId, WPARAM wparam, LPARAM lparam );
static void				OnInitDialog( HWND hDlg );
static void				OnCommand( HWND hDlg, WORD id, WORD status );

/****************************************************************************/
/*!
 *	@brief	_CAOJ.
 *
 *	@param	[in]	hInst		݂̃CX^X̃nh.
 *
 *	@retval	_CAO̖߂l.
 */
int		OpenMainDialog( HINSTANCE hInst )
{
	//! _CAOJ.
	return DialogBox( hInst, MAKEINTRESOURCE( IDD_WIN_ITRON ), NULL, (DLGPROC)DlgProc );
}

/****************************************************************************/
/*!
 *	@brief	bZ[WEvV[W֐.
 *
 *	@param	[in]	hDlg	_CAOEEChEEnh.
 *	@param	[in]	msgId	bZ[WID.
 *	@param	[in]	wparam	t.
 *	@param	[in]	lparam	t.
 *
 *	@retval	TRUE	bZ[W .
 *	@retval	FALSE	WindowsŃbZ[W.
 */
static LRESULT CALLBACK	DlgProc( HWND hDlg, UINT msgId, WPARAM wparam, LPARAM lparam )
{
	switch( msgId ){
	case WM_INITDIALOG:
		OnInitDialog( hDlg );
		break;

	case WM_COMMAND:
		OnCommand( hDlg, LOWORD( wparam ), HIWORD( wparam ) );
		break;

	default:
		return FALSE;
	}
	return TRUE;
}

/****************************************************************************/
/*!
 *	@brief	_CAO쐬Ƃ̏.
 *
 *	@param	[in]	hDlg	_CAOEEChEEnh.
 *
 *	@retval	Ȃ.
 */
static void		OnInitDialog( HWND hDlg )
{
}

/****************************************************************************/
/*!
 *	@brief	_CAÕR}h.
 *
 *	@param	[in]	hDlg	_CAOEEChEEnh.
 *	@param	[in]	id		_CAOEACeID.
 *	@param	[in]	status	_CAOEACeEXe[^X.
 *
 *	@retval	Ȃ.
 */
static void		OnCommand( HWND hDlg, WORD id, WORD status )
{
	switch( id ){
	case IDCANCEL:
		EndDialog( hDlg, 0 );
		break;
	}
}

/* End of file */
