/****************************************************************************
 *	Copylight(C) 2011-2012 Kanazawa-soft-design,LLC.All Rights Reserved.
 ****************************************************************************/
/*!
 *	@file	wi_message_buffer.h
 *
 *	@brief	Windows iTRONT[rXR[ (bZ[Wobt@).
 *
 *	@author	V 閾
 */
#ifndef	__WI_MESSAGE_BUFFER_H__
#define	__WI_MESSAGE_BUFFER_H__

#include "wi_common.h"
#include "wi_task.h"

#ifdef __cplusplus
extern "C" {
#endif

/****************************************************************************
 *
 * \̒`.
 *
 ****************************************************************************/
/*!
 *
 * @brief bZ[Wobt@IuWFNg\.
 *
 */
typedef struct {
	WIHDR		Hdr;			//!< IuWFNgwb_.
	ATR			SndAttr;		//!< bZ[Wobt@ (bZ[WM).
	ATR			RcvAttr;		//!< bZ[Wobt@ (bZ[WM).
	UINT		MaxMsg; 		//!< bZ[W̍ő咷.
	UINT		MsgSize;		//!< bZ[Wobt@̈̃TCY.
	BYTE		*MsgBuf;		//!< bZ[Wobt@̈̐擪AhX.
	UINT		GetPos;			//!< [̓ǂݏoʒu.
	UINT		PutPos;			//!< [̏oʒu.
	WIHDR		*SndWaitQue;	//!< ^XN̑M҂s̃|C^.
	WIHDR		*RcvWaitQue;	//!< ^XN̎M҂s̃|C^.
	VP			ExtInfo;		//!< g.
} WIMBFOBJ;

/*!
 *
 * @brief bZ[Wobt@Ԃ̎QƗp\.
 *
 */
typedef struct {
	INT			SndWaitId;		//!< bZ[Wobt@̑M҂s̐擪̃^XNIDԍ.
	INT			RcvWaitId;		//!< bZ[Wobt@̎M҂s̐擪̃^XNIDԍ.
	VP			ExtInfo;		//!< g.
	INT			MsgSize;		//!< ɎM郁bZ[W̃TCY.
	INT			FreeSize;		//!< 󂫃obt@̃TCY.
} WIMBFSTAT;

/****************************************************************************
 *
 * ֐`.
 *
 ****************************************************************************/
void	wi_InitMsgBuffer( void );
void	wi_QuitMsgBuffer( void );
ER		wi_CreateMsgBuffer( INT id, const WIMBFOBJ *obj );
ER		wi_DeleteMsgBuffer( INT id );
ER		wi_SendMsgBuffer( INT id, VP msg, int size, TMO tmout );
ER		wi_ReceiveMsgBuffer( INT id, VP msg, int *size, TMO tmout );
ER		wi_RefarenceMsgBuffer( INT id, WIMBFSTAT *sts );
void	wi_AllReleaseMsgBuffer( INT id );

#ifdef __cplusplus
}
#endif
#endif	// __WI_MESSAGE_BUFFER_H__
/* End of file */
