/****************************************************************************
 *	Copylight(C) 2011-2012 Kanazawa-soft-design,LLC.All Rights Reserved.
 ****************************************************************************/
/*!
 *	@file	win_itron3.h
 *
 *	@brief	Windows iTRON(Ver3.0)T[rXR[.
 *
 *	@author	V 閾
 */
#ifndef	__WIN_ITRON3_H__
#define	__WIN_ITRON3_H__

#ifdef __cplusplus
extern "C" {
#endif

/****************************************************************************
 *
 * f[^^Cv.
 *
 ****************************************************************************/
typedef int				INT;			//!< t.
typedef unsigned int	UINT;			//!< .
typedef	void			*VP;			//!< |C^ϐ.
typedef void			(*FP)();		//!< ֐AhX.
typedef	VP				VP_INT;			//!< VP ܂ INT.
typedef	INT				ER;				//!< G[R[h.
typedef	INT				HNO;			//!< nhԍ.
typedef	INT				RNO;			//!< fuԍ.
typedef	INT				ID;				//!< IDԍ.
typedef	UINT			ATR;			//!< .
typedef	INT				PRI;			//!< ^XNDx.
typedef	INT				BOOL_ID;		//!< BOOL ܂ ID.
typedef	INT				ER_UINT;		//!< G[R[h ܂ UINT.

/*!
 *
 * @brief ^C}\.
 *
 */
typedef struct {
	short				utime;			//!< 16rbg.
	unsigned long		ltime;			//!< 32rbg.
} SYSTIME;

typedef	SYSTIME			CYCTIME;		//!< nh̎.
typedef	SYSTIME			ALMTIME;		//!< A[nh̎.
typedef	long			DLYTIME;		//!< ^XNfBC.
typedef	long			TMO;			//!< ^CAEgݒl.

#define	TASK			void			//!< ^XN̊֐^Cv.
#define TMRHDR			void			//!< ^C}nh̊֐^Cv.
#define INTHDR			void			//!< 荞݃nh̊֐^Cv.

/****************************************************************************
 *
 * V{`.
 *
 ****************************************************************************/
//! IuWFNg̑.
#define TA_ASM	 	0x0000				//!< AZuɂvO.
#define TA_HLNG 	0x0001				//!< ɂvO.
#define TA_TFIFO	0x0000				//!< ҂^XNFIFO.
#define TA_TPRI 	0x0001				//!< ҂^XN͗Dx.

//! ^CAEgݒ.
#define TMO_POL 	0					//!< |[O.
#define TMO_FEVR	(-1)				//!< iv҂.

/****************************************************************************
 *
 * G[R[h.
 *
 ****************************************************************************/
#define E_OK		0					//!< I.
#define E_SYS		(-5)				//!< VXeG[.
#define E_NOMEM 	(-10)				//!< s.
#define E_NOSPT 	(-17)				//!< T|[g@\.
#define E_INOSPT	(-18)				//!< ITRON/FILEł̖T|[g@\.
#define E_RSFN		(-20)				//!< \@\R[hԍ.
#define E_RSATR 	(-24)				//!< \񑮐.
#define E_PAR		(-33)				//!< p[^G[.
#define E_ID		(-35)				//!< sIDԍ.
#define E_NOEXS 	(-52)				//!< IuWFNg݂Ȃ.
#define E_OBJ		(-63)				//!< IuWFNg̏Ԃs.
#define E_MACV		(-65)				//!< ANZXs\AANZXᔽ.
#define E_OACV		(-66)				//!< IuWFNgANZXᔽ.
#define E_CTX		(-69)				//!< ReLXgG[.
#define E_QOVR		(-73)				//!< L[CO܂̓lXg̃I[o[t[.
#define E_DLT		(-81)				//!< ҂IuWFNg폜ꂽ.
#define E_TMOUT 	(-85)				//!< |[Os܂̓^CAEg.
#define E_RLWAI 	(-86)				//!< ҂ԋ.
#define E_ILUSE		E_OBJ				//!< T[rXR[sgp.

/****************************************************************************
 *
 * ^XNǗ@\.
 *
 ****************************************************************************/
/*!
 *
 * @brief ^XN\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	ATR			tskatr;				//!< ^XN̑.
	FP			task;				//!< X^[gAhX.
	PRI			itskpri;			//!< ̃^XNDx.
	INT			stksz;				//!< X^bNTCY.
} T_CTSK;

/*!
 *
 * @brief ^XNԂ̎QƗp\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	PRI			tskpri; 			//!< ݂̗Dx.
	UINT		tskstat;			//!< ^XN.
	UINT		tskwait;			//!< ҂v.
	ID			wid; 				//!< ҂IuWFNgID.
	INT			wupcnt;				//!< NvJEg.
	INT			suscnt;				//!< TXyhvJEg.
	ATR			tskatr; 			//!< ^XN.
	FP			task;				//!< ^XN̋NAhX.
	PRI			itskpri;			//!< ^XNNDx.
	INT			stksz;				//!< X^bNTCY.
} T_RTSK;

/*!
 *
 * @brief ^XNIDݒl.
 *
 */
#define TSK_SELF	0				//!< ^XNw.
 
/*!
 *
 * @brief ^XNDx(tskpri).
 *
 */
#define TPRI_INI	0				//!< ^XNN̏Dxw (chg_pri).
#define TPRI_RUN	0				//!< ̎s̍ōDxw (rot_rdq).

/*!
 *
 * @brief ^XNs(tskstat).
 *
 */
#define	TTS_RUN 	0x0001			//!< ^XNs.
#define	TTS_RDY 	0x0002			//!< ^XNs\.
#define	TTS_WAI 	0x0004			//!< ^XN҂.
#define	TTS_SUS 	0x0008			//!< ҂.
#define	TTS_WAS 	0x000C			//!< d҂.
#define	TTS_DMT 	0x0010			//!< ^XNx~.
 
/*!
 *
 * @brief ^XN҂v(tskwait).
 *
 */
#define TTW_SLP 	0x0001			//!< N҂.
#define TTW_DLY 	0x0002			//!< Ԍoߑ҂.
#define TTW_FLG 	0x0010			//!< CxgtO҂.
#define TTW_SEM 	0x0020			//!< Z}tHl҂.
#define TTW_MBX 	0x0040			//!< [{bNX̎M҂.
#define TTW_SMBF	0x0080			//!< bZ[Wobt@ւ̑M҂.
#define TTW_RMBF 	0x0100			//!< bZ[Wobt@̎M҂.
#define TTW_CAL 	0x0200			//!< fuďo҂.
#define TTW_ACP 	0x0400			//!< fut҂.
#define TTW_RDV 	0x0800			//!< fuI҂.
#define TTW_MPL 	0x1000			//!< ϒubN̊l҂.
#define TTW_MPF 	0x2000			//!< Œ蒷ubN̊l҂.
#define TTW_SDTQ 	0x0000			//!< f[^L[ւ̑M҂   (Ver3.0ł͎gpȂ).
#define TTW_RDTQ 	0x0000			//!< f[^L[̎M҂ (Ver3.0ł͎gpȂ).
#define TTW_MTX 	0x0000			//!< ~[ebNX̃bN҂ (Ver3.0ł͎gpȂ).

// T[rXR[̒`.
ER		cre_tsk( ID tskid, const T_CTSK *pk_ctsk );
ER		del_tsk( ID tskid );
ER		sta_tsk( ID tskid, VP_INT stacd );
void	ext_tsk( void );
void	exd_tsk( void );
ER		ter_tsk( ID tskid );
ER		chg_pri( ID tskid, PRI tskpri );
ER		ref_tsk( T_RTSK *pk_rtsk, ID tskid );
ER		slp_tsk( void );
ER		tslp_tsk( TMO tmout );
ER		wup_tsk( ID tskid );
ER		can_wup( INT *p_wupcnt, ID tskid );
ER		rel_wai( ID tskid );
ER		sus_tsk( ID tskid );
ER		rsm_tsk( ID tskid );
ER		frsm_tsk( ID tskid );
ER		dly_tsk( DLYTIME dlytim );
 
/****************************************************************************
 *
 * ʐM@\ (Z}tH).
 *
 ****************************************************************************/
/*!
 *
 * @brief Z}tH\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	ATR			sematr;				//!< Z}tH̑.
	INT			isemcnt;			//!< Z}tH̏l.
	INT			maxsem; 			//!< Z}tH̍ől.
} T_CSEM;

/*!
 *
 * @brief Z}tHԂ̎QƗp\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	BOOL_ID 	wtsk;				//!< ҂^XN̗L.
	INT			semcnt;				//!< ݂̃Z}tHJEgl.
} T_RSEM;

// T[rXR[̒`.
ER		cre_sem( ID semid, const T_CSEM *pk_csem );
ER		del_sem( ID semid );
ER		sig_sem( ID semid );
ER		wai_sem( ID semid );
ER		pol_sem( ID semid );
ER		twai_sem( ID semid, TMO tmout );
ER		ref_sem( T_RSEM *pk_rsem, ID semid );

/****************************************************************************
 *
 * ʐM@\ (CxgtO).
 *
 ****************************************************************************/
/*!
 *
 * @brief CxgtO\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	ATR			flgatr;				//!< CxgtȎ.
	UINT		iflgptn;			//!< CxgtȌl.
} T_CFLG;

/*!
 *
 * @brief CxgtOԂ̎QƗp\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	BOOL_ID		wtsk;				//!< ҂^XN̗L.
	UINT		flgptn;				//!< CxgtÕrbgp^[.
} T_RFLG;

/*!
 *
 * @brief CxgtO(flgatr).
 *
 */
#define TA_WSGL 	0x0000			//!< ^XN̑҂Ȃ.
#define TA_WMUL 	0x0008			//!< ^XN̑҂.
#define	TA_CLR		0x0004			//!< tOp^[̃NA (Ver3.0ł͎gȂ).

/*!
 *
 * @brief CxgtȎ҂(wfmode).
 *
 */
#define	TWF_ANDW	0x0000			//!< AND҂.
#define	TWF_ORW 	0x0002			//!< OR҂.
#define	TWF_CLR 	0x0001			//!< NAw.

// T[rXR[̒`.
ER		cre_flg( ID flgid, const T_CFLG *pk_cflg );
ER		del_flg( ID flgid );
ER		set_flg( ID flgid, UINT setptn );
ER		clr_flg( ID flgid, UINT clrptn );
ER		wai_flg( UINT *p_flgptn, ID flgid, UINT waiptn, UINT wfmode );
ER		pol_flg( UINT *p_flgptn, ID flgid, UINT waiptn, UINT wfmode );
ER		twai_flg( UINT *p_flgptn, ID flgid, UINT waiptn, UINT wfmode, TMO tmout );
ER		ref_flg( T_RFLG *pk_rflg, ID flgid );

/****************************************************************************
 *
 * ʐM@\ ([{bNX).
 *
 ****************************************************************************/
/*!
 *
 * @brief bZ[WpPbg\.
 *
 */
typedef struct _T_MSG {
	struct _T_MSG	*nextmsg;		//!< ̃bZ[WpPbg\̂̃|C^.
	PRI				msgpri;			//!< bZ[W̗Dx.
} T_MSG;

/*!
 *
 * @brief [{bNX\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	ATR			mbxatr;				//!< [{bNX̑.
} T_CMBX;

/*!
 *
 * @brief [{bNXԂ̎QƗp\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	BOOL_ID		wtsk;				//!< ҂^XN̗L.
	T_MSG		*pk_msg;			//!< ɎM郁bZ[W.
} T_RMBX;

/*!
 *
 * @brief [{bNX(mbxatr).
 *
 */
#define TA_MFIFO	0x0000			//!< bZ[WFIFO.
#define TA_MPRI 	0x0002			//!< bZ[W͗Dx.
 
// T[rXR[̒`.
ER		cre_mbx( ID mbxid, const T_CMBX *pk_cmbx );
ER		del_mbx( ID mbxid );
ER		snd_msg( ID mbxid, T_MSG *pk_msg );
ER		rcv_msg( T_MSG **ppk_msg, ID mbxid );
ER		prcv_msg( T_MSG **ppk_msg, ID mbxid );
ER		trcv_msg( T_MSG **ppk_msg, ID mbxid, TMO tmout );
ER		ref_mbx( T_RMBX *pk_rmbx, ID mbxid );
 
/****************************************************************************
 *
 * gʐM@\ (bZ[Wobt@).
 *
 ****************************************************************************/
/*!
 *
 * @brief bZ[Wobt@\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	ATR			mbfatr; 			//!< bZ[Wobt@̑.
	INT			bufsz;				//!< bZ[Wobt@̃TCY.
	INT			maxmsz; 			//!< bZ[W̍ő咷.
} T_CMBF;

/*!
 *
 * @brief bZ[Wobt@Ԃ̎QƗp\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	BOOL_ID		wtsk;				//!< M҂^XN̗L.
	BOOL_ID		stsk;				//!< M҂^XN̗L.
	INT			msgsz;				//!< ɎM郁bZ[W̃TCY.
	INT			frbufsz;			//!< 󂫃obt@̃TCY.
} T_RMBF;

// T[rXR[̒`.
ER		cre_mbf( ID mbfid, const T_CMBF *pk_cmbf );
ER		del_mbf( ID mbfid );
ER		snd_mbf( ID mbfid, VP msg, INT msgsz );
ER		psnd_mbf( ID mbfid, VP msg, INT msgsz );
ER		tsnd_mbf( ID mbfid, VP msg, INT msgsz, TMO tmout );
ER		rcv_mbf( VP msg, INT *p_msgsz, ID mbfid );
ER		prcv_mbf( VP msg, INT *p_msgsz, ID mbfid );
ER		trcv_mbf( VP msg, INT *p_msgsz, ID mbfid, TMO tmout );
ER		ref_mbf( T_RMBF *pk_rmbf, ID mbfid );

/****************************************************************************
 *
 * gʐM@\ (fu).
 *
 ****************************************************************************/
/*!
 *
 * @brief fu|[g\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	ATR			poratr; 			//!< |[g.
	INT			maxcmsz;			//!< ďõbZ[W̍ő咷.
	INT			maxrmsz;			//!< ԓ̃bZ[W̍ő咷.
} T_CPOR;

/*!
 *
 * @brief fu|[gԂ̎QƗp\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	BOOL_ID		wtsk;				//!< ďo҂^XN̗L.
	BOOL_ID		atsk;				//!< t҂^XN̗L.
} T_RPOR;

// T[rXR[̒`.
ER		cre_por( ID porid, const T_CPOR *pk_cpor );
ER		del_por( ID porid );
ER		cal_por( VP msg, INT *p_rmsgsz, ID porid, UINT calptn, INT cmsgsz );
ER		pcal_por( VP msg, INT *p_rmsgsz, ID porid, UINT calptn, INT cmsgsz );
ER		tcal_por( VP msg, INT *p_rmsgsz, ID porid, UINT calptn, INT cmsgsz, TMO tmout );
ER		acp_por( RNO *p_rdvno, VP msg, INT *p_cmsgsz, ID porid, UINT acpptn );
ER		pacp_por( RNO *p_rdvno, VP msg, INT *p_cmsgsz, ID porid, UINT acpptn );
ER		tacp_por( RNO *p_rdvno, VP msg, INT *p_cmsgsz, ID porid, UINT acpptn, TMO tmout );
ER		fwd_por( ID porid, UINT calptn, RNO rdvno , VP msg, INT cmsgsz );
ER		rpl_rdv( RNO rdvno, VP msg, INT cmsgsz );
ER		ref_por( T_RPOR *pk_rpor, ID porid );

/****************************************************************************
 *
 * v[Ǘ@\ (Œ蒷v[).
 *
 ****************************************************************************/
/*!
 *
 * @brief Œ蒷v[\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	ATR			mpfatr; 			//!< Œ蒷v[̑.
	INT			mpfcnt; 			//!< Œ蒷v[Ŝ̃ubN.
	INT			blfsz;				//!< Œ蒷ubÑTCY.
} T_CMPF;

/*!
 *
 * @brief Œ蒷v[Ԃ̎QƗp\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	BOOL_ID		wtsk;				//!< ҂^XN̗L.
	INT			frbcnt; 			//!< 󂫃ubŇ.
} T_RMPF;

// T[rXR[̒`.
ER		cre_mpf( ID mpfid, const T_CMPF *pk_cmpf );
ER		del_mpf( ID mpfid );
ER		get_blf( VP *p_blf, ID mpfid );
ER		pget_blf( VP *p_blf, ID mpfid );
ER		tget_blf( VP *p_blf, ID mpfid, TMO tmout );
ER		rel_blf( ID mpfid, VP blk );
ER		ref_mpf( T_RMPF *pk_rmpf, ID mpfid );

/****************************************************************************
 *
 * v[Ǘ@\ (ϒv[).
 *
 ****************************************************************************/
/*!
 *
 * @brief ϒv[\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	ATR			mplatr; 			//!< ϒv[.
	INT			mplsz;				//!< ϒv[̃TCY.
} T_CMPL; 

/*!
 *
 * @brief ϒv[Ԃ̎QƗp\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	BOOL_ID		wtsk;				//!< ҂^XN̗L.
	INT			frsz;				//!< 󂫗̈̍vTCY.
	INT			maxsz;				//!< ő̘A󂫗̈̃TCY.
} T_RMPL; 

// T[rXR[̒`.
ER		cre_mpl( ID mplid, const T_CMPL *pk_cmpl );
ER		del_mpl( ID mplid );
ER		get_blk( VP p_blk, ID mplid, INT blksz );
ER		pget_blk( VP p_blk, ID mplid, INT blksz );
ER		tget_blk( VP p_blk, ID mplid, INT blksz, TMO tmout );
ER		rel_blk( ID mplid, VP blk );
ER		ref_mpl(T_RMPL *pk_rmpl, ID mplid );

/****************************************************************************
 *
 * ԊǗ@\.
 *
 ****************************************************************************/

// T[rXR[̒`.
ER		set_tim( const SYSTIME *pk_tim );
ER		get_tim( SYSTIME *pk_tim );

#define	ret_tmr()	return

/****************************************************************************
 *
 * ԊǗ@\ (nh).
 *
 ****************************************************************************/
/*!
 *
 * @brief nh`p\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	ATR			cycatr; 			//!< nh.
	FP			cychdr;				//!< nh̃AhX.
	UINT		cycact;				//!< nh̊.
	CYCTIME		cyctim; 			//!< NԊԊu.
} T_DCYC;

/*!
 *
 * @brief nhԂ̎QƗp\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	CYCTIME		lfttim; 			//!< ̋N܂ł̎.
	UINT		cycact;				//!< nh̊.
} T_RCYC;

/*!
 *
 * @brief nh(cycact).
 *
 */
#define	TCY_OFF 	0x0000			//!< nh̒~.
#define	TCY_ON		0x0001			//!< nh̋N.
#define	TCY_INI 	0x0002			//!< JE^̏.

// T[rXR[̒`.
ER		def_cyc( HNO cycno, const T_DCYC *pk_dcyc );
ER		act_cyc( HNO cycno, UINT cycact );
ER		ref_cyc( T_RCYC *pk_rcyc, HNO cycno );

/****************************************************************************
 *
 * ԊǗ@\ (A[nh).
 *
 ****************************************************************************/
/*!
 *
 * @brief A[nh`p\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	ATR			almatr; 			//!< A[nh.
	FP			almhdr;				//!< A[nh̃AhX.
	UINT		tmmode;				//!< Nw胂[h.
	ALMTIME		almtim; 			//!< N.
} T_DALM;

/*!
 *
 * @brief A[nhԂ̎QƗp\.
 *
 */
typedef struct {
	VP			exinf;				//!< g.
	ALMTIME		lfttim; 			//!< N܂ł̎.
} T_RALM;

/*!
 *
 * @brief Nw胂[h(tmmode).
 *
 */
#define TTM_ABS 	0x0000			//!< Ύł̎w.
#define TTM_REL 	0x0001			//!< Ύł̎w.

// T[rXR[̒`.
ER		def_alm( HNO almno, const T_DALM *pk_dalm );
ER		ref_alm( T_RALM *pk_ralm, HNO almno );

/****************************************************************************
 *
 * 荞݊Ǘ@\.
 *
 ****************************************************************************/
/*!
 *
 * @brief ݃nh`p\.
 *
 */
typedef struct {
	ATR			intatr; 			//!< ݃nh.
	FP			inthdr;				//!< ݃nhAhX.
} T_DINT; 

// T[rXR[̒`.
ER		def_int( UINT dintno, const T_DINT *pk_dint );
ER		dis_int( UINT eintno );
ER		ena_int( UINT eintno );
ER		loc_cpu( void );
ER		unl_cpu( void );
#define	ret_int()		return
#define	ret_wup( _a )	return

/****************************************************************************
 *
 * VXeǗ@\.
 *
 ****************************************************************************/
/*!
 *
 * @brief o[W\.
 *
 */
typedef struct {
	unsigned short		maker;		//!< [J[.
	unsigned short		id;			//!< `ԍ.
	unsigned short		spver;		//!< dlo[W.
	unsigned short		prver;		//!< io[W.
	unsigned short		prno[4];	//!< iǗ.
	unsigned short		cpu;		//!< CPU.
	unsigned short		var;		//!< oG[VLqq.
} T_VER;

/*!
 *
 * @brief VXe\.
 *
 */
typedef struct {
	INT			sysstat;			//!< VXe.
} T_RSYS;
 
/*!
 *
 * @brief RtBO[V\.
 *
 */
typedef struct {
	VP			dummy;				//!< `݂̂̂߃_~[̃oϐ`.
} T_RCFG; 

/*!
 *
 * @brief VXe(sysstat).
 *
 */
#define TSS_TSK 	0				//!< ^XNsŃfBXpb`ʏ̏.
#define TSS_DDSP	1				//!< ^XNsdis_dsps̏(fBXpb`֎~).
#define TSS_LOC 	3				//!< ^XNsloc_cpus̏(݂уfBXpb`֎~).
#define TSS_INDP	4				//!< ^XNƗ(荞݃nhA^C}nh)s.

// T[rXR[̒`.
ER		rot_rdq( PRI tskpri );
ER		get_tid( ID *p_tskid );
ER		dis_dsp( void );
ER		ena_dsp( void );
ER		ref_sys( T_RSYS *pk_rsys );
ER		get_ver( T_VER *pk_ver );
ER		ref_cfg( T_RCFG *pk_rcfg );

#ifdef __cplusplus
}
#endif
#endif	// __WIN_ITRON3_H__
/* End of file */
